#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<int> a;
    vector<int> b;
    int i=0;
    while(a.size()<n){
        a.push_back(2*n-i);
        if(a.size()!=n){
            a.push_back(i+1);
        }
        i++;
    }

    while(b.size()<n){
        b.push_back(2*n-i);
        if(b.size()!=n){
            if (n%2==0){ b.push_back(i+1);}
            else{b.push_back(i);}
        }
        i++;
    }
    for(int j=0;j<n;j++){
        cout<<a[j]<<" ";
    }
    cout<<endl;
    for(int j=0;j<n;j++){
        cout<<b[j]<<" ";
    }
}